Loading...
Searching...
No Matches
avl_set File Reference

AVL set. More...

`#include <l4/cxx/std_alloc>`
`#include <l4/cxx/std_ops>`
`#include <l4/cxx/type_traits>`
`#include <l4/cxx/avl_tree>`
Include dependency graph for avl_set:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | cxx::Bits::Avl_set_get_key< KEY_TYPE >
| Internal, key-getter for Avl_set nodes. More...
class | cxx::Bits::Base_avl_set< ITEM_TYPE, COMPARE, ALLOC, GET_KEY >
| Internal: AVL set with internally managed nodes. More...
class | cxx::Bits::Base_avl_set< ITEM_TYPE, COMPARE, ALLOC, GET_KEY >::Node
| A smart pointer to a tree item. More...
class | cxx::Avl_set< ITEM_TYPE, COMPARE, ALLOC >
| AVL set for simple comparable items. More...

## Namespaces

namespace | cxx
| Our C++ library.
namespace | cxx::Bits
| Internal helpers for the cxx package.

## Detailed Description

AVL set.

Definition in file avl_set.